V1PlatformCommunityKindId
/v1/platform/community/{kind}/{id}
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
kind*string
Value in
- "club"
- "event"
- "challenge"
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/platform/community/club/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "kind": "club", "title": "string", "summary": "string", "expectedVersion": 0, "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6" }'{ "item": { "kind": "club", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": 1, "status": "draft", "payload": { "kind": "club", "category": "general", "title": "string", "summary": "string", "coverImage": { "url": "http://example.com", "alt": "string", "source": "ai_generated" } } }, "replayed": true}